Summary:	Very light linux rendering backend library
Name:		hypr-aquamarine
Version:	0.5.1
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/hyprwm/aquamarine/releases
Source0:	https://github.com/hyprwm/aquamarine/archive/v%{version}/aquamarine-v%{version}.tar.gz
# Source0-md5:	a751380b1661d8d8d2e97c1064976582
Patch0:		flags.patch
URL:		https://hyprland.org/
BuildRequires:	EGL-devel
BuildRequires:	Mesa-libgbm-devel
BuildRequires:	OpenGL-devel
BuildRequires:	OpenGLESv2-devel
BuildRequires:	cmake >= 3.19
BuildRequires:	hwdata
BuildRequires:	hyprutils-devel >= 0.2.3
BuildRequires:	hyprwayland-scanner >= 0.4.0
BuildRequires:	libdisplay-info-devel
BuildRequires:	libdrm-devel
BuildRequires:	libinput-devel >= 1.26.0
BuildRequires:	libseat-devel >= 0.8.0
BuildRequires:	libstdc++-devel >= 6:11
BuildRequires:	pixman-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	udev-devel
BuildRequires:	wayland-devel
BuildRequires:	wayland-protocols
Requires:	hyprutils >= 0.2.3
Requires:	libinput >= 1.26.0
Requires:	libseat >= 0.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Aquamarine is a very light linux rendering backend library. It
provides basic abstractions for an application to render on a Wayland
session (in a window) or a native DRM session.

It is agnostic of the rendering API (Vulkan/OpenGL) and designed to be
lightweight, performant, and minimal.

Aquamarine provides no bindings for other languages. It is C++-only.

%package devel
Summary:	Header files for aquamarine
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Header files for aquamarine.

%prep
%setup -q -n aquamarine-%{version}
%patch0 -p1

%build
%cmake -B build

%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%attr(755,root,root) %{_libdir}/libaquamarine.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libaquamarine.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaquamarine.so
%{_includedir}/aquamarine
%{_pkgconfigdir}/aquamarine.pc
%changelog
* Sat Dec 14 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hypr-aquamarine.git;a=log;h=master

* Sat Dec 14 2024 Jan Palus <atler@pld-linux.org> b23af9b
- up to 0.5.1

* Sat Nov 16 2024 Jan Palus <atler@pld-linux.org> 832bd1f
- up to 0.5.0 (new soname)

* Mon Nov 11 2024 Jan Palus <atler@pld-linux.org> 05331a3
- up to 0.4.5

* Sun Nov 10 2024 Jan Palus <atler@pld-linux.org> 861ee67
- up to 0.4.4

* Mon Oct 14 2024 Jan Palus <atler@pld-linux.org> a64f3e8
- up to 0.4.3

* Mon Oct 07 2024 Jan Palus <atler@pld-linux.org> 8c05ee0
- up to 0.4.2

* Sun Sep 08 2024 Jan Palus <atler@pld-linux.org> b919400
- up to 0.4.1 (new soname)

* Mon Aug 19 2024 Jan Palus <atler@pld-linux.org> 55a843b
- up to 0.3.3

* Sun Aug 18 2024 Jan Palus <atler@pld-linux.org> c54ab2e
- up to 0.3.2

* Sun Aug 18 2024 Jan Palus <atler@pld-linux.org> 076a157
- BR: EGL-devel

* Mon Aug 12 2024 Jan Palus <atler@pld-linux.org> 6c0054a
- new

